
Foreman - Bug #319

'verbose' query interface is arbitrary. requires 'yes' not '1' or 'true' or 'ok' or 'please'

06/09/2010 03:53 PM - Dis Connect

Status: Closed   

Priority: Normal   

Assignee:    

Category: Search   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'll file a feature on the fact that its so limited ;) but:

irb(main):029:0* gethosts({"fact"=>{"hostname"=>"puppet"},"verbose"=>'yes'})

=> [{"puppet.foo.com"=>{"facts"=>.....}}]

irb(main):030:0> gethosts({"fact"=>{"hostname"=>"puppet"},"verbose"=>'true'})

=> ["puppet.foo.com"]

irb(main):031:0> gethosts({"fact"=>{"hostname"=>"puppet"},"verbose"=>1})

=> ["puppet.foo.com"]

irb(main):032:0> gethosts({"fact"=>{"hostname"=>"puppet"},"verbose"=>"ok"})

=> ["puppet.foo.com"]

irb(main):033:0> gethosts({"fact"=>{"hostname"=>"puppet"},"verbose"=>"whynot"})

=> ["puppet.foo.com"]

irb(main):034:0> gethosts({"fact"=>{"hostname"=>"puppet"},"verbose"=>"absolutely"})

=> ["puppet.foo.com"]

 I think 0/1 or true/false makes a ton more sense than "yes".

History

#1 - 09/19/2010 03:50 PM - Ohad Levy

ok.. will you be willing to send a patch?

#2 - 05/04/2011 08:07 AM - Ohad Levy

- Status changed from New to Closed

closing as its not relevant with the introduction of the rest search api

#3 - 10/16/2018 01:32 PM - Tomer Brisker

- Category changed from 19 to Search
